Update Pass Template Actions
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redeem": true,
"reactivate": true,
"updateFields": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redeem: true, reactivate: true, updateFields: ['<string>']})
};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/actions"
payload = {
"redeem": True,
"reactivate": True,
"updateFields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Actions
Update Pass Template Actions
Update Pass Template Actions
Update the actions of the pass template.
Parameters:
actions(TemplateAction): The updated actions data.template(Template): The pass template.
Returns:
dict: The updated actions of the pass template.
PUT
/
v2
/
templates
/
{templateId}
/
actions
Update Pass Template Actions
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redeem": true,
"reactivate": true,
"updateFields": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redeem: true, reactivate: true, updateFields: ['<string>']})
};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/actions"
payload = {
"redeem": True,
"reactivate": True,
"updateFields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
